

            else (1) --- introduce else-part of a conditional        03/20/80


            _U_s_a_g_e

                 if <value>
                    then
                       { <command> }
                    else
                       { <command> }
                 fi


            _D_e_s_c_r_i_p_t_i_o_n

                 'Else'  is  used  in  conjunction  with  the 'if' command to
                 introduce the negative portion of a  conditional  statement.
                 Paradoxically,  it is executed only as control falls through
                 from the then-part of the conditional; its action is to skip
                 to the first unmatched 'fi' command.

                 The else-clause of a conditional is always optional.

                 Since 'else' works as well from the terminal as it does from
                 a command file, typing "else" as a command  will  cause  the
                 command  interpreter to skip input until it sees a 'fi' com-
                 mand or end-of-file.


            _E_x_a_m_p_l_e_s

                 if [eval [line] = 10]
                    then
                       set term = consul
                    else
                       set term = unknown
                 fi


                 if [eval [take 2 [time]] ">" [deadline]]
                    then
                       echo "Time out."
                    else
                       process_job
                 fi


            _M_e_s_s_a_g_e_s

                 "Missing 'fi'" if end-of-file  is  seen  before  a  'fi'  is
                      encountered.


            _B_u_g_s

                 Redirectors  placed before the 'fi' will prevent 'else' from
                 detecting it.




            else (1)                      - 1 -                      else (1)




            else (1) --- introduce else-part of a conditional        03/20/80


            _S_e_e _A_l_s_o

                 if (1), then (1), fi (1), case (1)























































            else (1)                      - 2 -                      else (1)


